unit frmlogin; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons, ActnList, stdactns;

type

  { TLoginForm }

  TLoginForm = class(TForm)
    ALogin: TAction;
    ActionList1: TActionList;
    BLogin: TButton;
    BCancel: TButton;
    CBRole: TComboBox;
    EName: TEdit;
    EPassword: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure ALoginExecute(Sender: TObject);
    procedure ALoginUpdate(Sender: TObject);
    procedure ENameChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  LoginForm: TLoginForm;

implementation

{ TLoginForm }

procedure TLoginForm.ENameChange(Sender: TObject);
begin
  EPassword.Text:='';
  if (EName.Text='Admin') then
    CBRole.ItemIndex:=2;
end;

procedure TLoginForm.ALoginUpdate(Sender: TObject);
begin
  (Sender as TAction).Enabled:=(EName.Text<>'') and
                               (EPassword.Text<>'') and
                               (CBRole.ItemIndex<>-1)

end;

procedure TLoginForm.ALoginExecute(Sender: TObject);
begin
  ShowMessage('Logging in');
end;

procedure TLoginForm.FormCreate(Sender: TObject);

Var
  I : Integer;

begin
  I:=1;
  While I<=ParamCount do
    begin
    If (Paramstr(i)='-u') and (I<ParamCount) then
      begin
      Inc(i);
      EName.Text:=ParamStr(I+1);
      end
    else If (Paramstr(i)='-p') and (I<ParamCount) then
      begin
      Inc(i);
      EPassWord.Text:=ParamStr(I);
      end;
    Inc(I);
    end;
end;


initialization
  {$I frmlogin.lrs}

end.

